package com.example.dog_1_f23

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import android.widget.*
import kotlin.random.Random

/*
    The previous version of the program had a big when (switch)
    statement to show the picture of the dog breed selected by
    the user.  This version uses some string methods to convert
    Alaskan Malamute into alaskan_malamute which is the name of
    the drawable resource.
*/

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val spDog = findViewById(R.id.spDog) as Spinner
        val aaDog = ArrayAdapter.createFromResource(this, R.array.dogs, android.R.layout.simple_spinner_item)
        spDog.adapter = aaDog

        val ivDog = findViewById(R.id.ivDog) as ImageView

        spDog.onItemSelectedListener = object : AdapterView.OnItemSelectedListener {
            override fun onItemSelected(adapterView: AdapterView<*>, view: View, i: Int, l: Long) {
                val tvUserItem = view as TextView
                Toast.makeText(applicationContext, "You chose " + tvUserItem.text.toString(), Toast.LENGTH_SHORT).show()

                /*
                    convert dog names in spinner to resource names
                    1. put in all lower case
                    2. replace spaces with underscores
                */
                var drawable_resource_name = tvUserItem.text.toString()
                drawable_resource_name = drawable_resource_name.lowercase()
                drawable_resource_name = drawable_resource_name.replace(' ', '_')

                val context = ivDog.getContext()
                val id = context.getResources().getIdentifier(
                    drawable_resource_name, "drawable", context.getPackageName() )
                ivDog.setImageResource(id)
            }

            override fun onNothingSelected(adapterView: AdapterView<*>) {}
        }  //end OnItemSelectedListener

        //select a random dog to display at start
        var random_index = (0..getResources().getStringArray(R.array.dogs).size-1).random()
        spDog.setSelection(random_index)

    }//end onCreate
}//end MainActivity class